// $Id: TWSDemo11AnlProc.h 754 2011-05-18 11:04:52Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TWSDemo11ANLPROCESSOR_H
#define TWSDemo11ANLPROCESSOR_H



#include "TGo4EventProcessor.h"

#include "TWSDemo11UnpackEvent.h"

class TWSDemo11Parameter;
class TWSDemo11AnlEvent;

class TWSDemo11AnlProc : public TGo4EventProcessor {
   public:
      TWSDemo11AnlProc() ;
      TWSDemo11AnlProc(const char * name);
      virtual ~TWSDemo11AnlProc();

      void InitCalibration();

      virtual Bool_t BuildEvent(TGo4EventElement* dest);

      TH1              *fSum1;
      TH1              *fSum2;
      TH1              *fSum3;
      
      TH1           *fCalibCr1Ch[WSDemo11_NUM_CHAN];
      TH1           *fCalibCr2Ch[WSDemo11_NUM_CHAN];

      TWSDemo11Parameter    *fParam1;
      TGo4WinCond      *fWinCon;


   ClassDef(TWSDemo11AnlProc, 1)
};
#endif //TWSDemo11ANLPROCESSOR_H
