// $Id: TWSDemo11Parameter.cxx 754 2011-05-18 11:04:52Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#include "TWSDemo11Parameter.h"

#include "Riostream.h"
#include "TRandom.h"

TWSDemo11Parameter::TWSDemo11Parameter(const char* name) :
   TGo4Parameter(name)
{
   frP1=10;
   frP2=20;
   fbHisto=kTRUE;
fbNewcalibration=kFALSE;

for(int ch=0; ch<WSDemo11_NUM_CHAN;ch++)
{
	Cr1_A0[ch]=-4;
	Cr1_A1[ch]=0.05;
	Cr1_A2[ch]=0;
}



}

TWSDemo11Parameter::~TWSDemo11Parameter()
{
}

Double_t TWSDemo11Parameter::CalibratedEnergy(Int_t ch, Int_t adc)
{
	Double_t val=0;
	Double_t raw=Randomize(adc);	
	val=Cr1_A0[ch] + raw*Cr1_A1[ch] + raw*raw*Cr1_A2[ch];
	return val;
}

Double_t TWSDemo11Parameter::Randomize(Int_t adc)
{
        Double_t result= (Double_t) adc;
        result += 0.5*gRandom->Rndm();
        return result;
}
