// $Id: TWSDemo11Parameter.h 754 2011-05-18 11:04:52Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TWSDemo11Parameter_H
#define TWSDemo11Parameter_H

#include "TGo4Parameter.h"
#include "TWSDemo11UnpackEvent.h"

class TWSDemo11Parameter : public TGo4Parameter {
   public:
      TWSDemo11Parameter(const char* name = 0);
      virtual ~TWSDemo11Parameter();

      Double_t CalibratedEnergy(Int_t ch, Int_t adc);
      Double_t Randomize(Int_t adc);

      Float_t frP1; // Offset for calibration
      Float_t frP2; // Factor for Calibration
      Bool_t fbHisto; // Enable Histogramming
	
     Double_t Cr1_A0[WSDemo11_NUM_CHAN];
     Double_t Cr1_A1[WSDemo11_NUM_CHAN];
     Double_t Cr1_A2[WSDemo11_NUM_CHAN];
     Bool_t fbNewcalibration; // Switch new calibration

   ClassDef(TWSDemo11Parameter,1)
};

#endif
