// $Id: TWSDemo11UnpackProc.h 754 2011-05-18 11:04:52Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TWSDemo11UNPACKPROCESSOR_H
#define TWSDemo11UNPACKPROCESSOR_H


#include "TGo4EventProcessor.h"

#include "TLatex.h"

class TWSDemo11Parameter;
class TWSDemo11UnpackEvent;

#include "TWSDemo11UnpackEvent.h"

class TWSDemo11UnpackProc : public TGo4EventProcessor {
   public:
      TWSDemo11UnpackProc();
      TWSDemo11UnpackProc(const char* name);
      virtual ~TWSDemo11UnpackProc();
      virtual Bool_t BuildEvent(TGo4EventElement* dest);

      void FillMyHistograms(TWSDemo11UnpackEvent* dest);

   private:
      TH1           *fCr1Ch[WSDemo11_NUM_CHAN];
      TH1           *fCr2Ch[WSDemo11_NUM_CHAN];
      TH2           *fCr1Ch1x2;
      TH1           *fHis1;
      TH1           *fHis1gate;
      TH1           *fHis2;
      TH1           *fHis2gate;

      TH1* fRatioCr1Cr2[WSDemo11_NUM_CHAN];

      TGo4WinCond   *fRatio12Cond[WSDemo11_NUM_CHAN];

      TGo4WinCond   *fconHis1;
      TGo4WinCond   *fconHis2;
      TGo4WinCond   *fWinCon1;
      TGo4WinCond   *fWinCon2;
      TGo4PolyCond  *fPolyCon1;
      TGo4CondArray *fConArr1;
      TGo4CondArray *fConArr2;
      TWSDemo11Parameter *fParam1;
      TGo4Picture   *fPicture1;
      TGo4Picture   *fcondSet;
      TLatex* fLaText;


   ClassDef(TWSDemo11UnpackProc,1)
};

#endif //TWSDemo11UNPACKPROCESSOR_H
